Skip to main content

Search documents

GET /document
alphahttps://api.sandbox.ovok.com

File search

Information such as id, contentType, fileName, public token.

Parameters

ParameterInDescriptionExample
_countqueryTotal amount of file informations per query10
_offsetqueryTotal amount of file informations to be skipped (page * count)0

Parameters

NameInTypeRequiredDescription
_countquerystringno
_offsetquerystringno
_sortquerystringno

Responses

CodeDescription
200Success.
400The request could not be operated by the server.
401The resource owner or authorization server denied the request.
404The requested resource could not be found.
422The request could not be validated by the server.
500The server encountered an unexpected condition. Please try again later.

200GetSearchFilesResponseDto (application/json)

  • total: number (required) — Total number of documents in the system.
  • resources: object[] (required)
    • id: string (required) — The ID of the DocumentReference resource.
    • meta: object — The metadata of the document.
    • author: object — The author of the document.
    • fileName: string — The name of the document.
    • contentType: string — The content type of the document.
    • uploadOptions: object — The upload options of the document.
    • publicToken: string — The public token of the document.

Example

{
"total": 100,
"resources": [
{
"id": "87ea5dfc-8b8e-384d-8489-79496e706390",
"fileName": "test.txt",
"contentType": "text/plain",
"publicToken": "example.jwt.eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYXQiOjE3ODY4OTk5NzcsImV4cCI6MTc4NjkwMzU3N30.sZTke9fx_gPeoj2v-FL9GhDqY0hh9EzdEc4XywFqb84"
}
]
}